
Redmine - Defect #22002

Copy issue function throws Internal error

2016-02-10 12:42 - Franco Po

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.3

Description

Navigate to any one of the issues created and then click "Copy". It shows "Internal error" with following RuntimeError in log file.

log/production.log

RuntimeError ():

  app/models/issue.rb:372:in `assign_attributes_with_project_and_tracker_first'

  app/models/issue.rb:378:in `attributes='

  app/models/issue.rb:229:in `copy_from'

  app/controllers/issues_controller.rb:417:in `build_new_issue_from_params'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

ActionController::RoutingError (No route matches [GET] "/projects/test-project/issues/841"):

  actionpack (4.2.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (4.2.5) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

  railties (4.2.5) lib/rails/rack/logger.rb:38:in `call_app'

  railties (4.2.5) lib/rails/rack/logger.rb:20:in `block in call'

  activesupport (4.2.5) lib/active_support/tagged_logging.rb:68:in `block in tagged'

  activesupport (4.2.5) lib/active_support/tagged_logging.rb:26:in `tagged'

  activesupport (4.2.5) lib/active_support/tagged_logging.rb:68:in `tagged'

  railties (4.2.5) lib/rails/rack/logger.rb:20:in `call'

  actionpack (4.2.5) lib/action_dispatch/middleware/request_id.rb:21:in `call'

  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'

  rack (1.6.4) lib/rack/runtime.rb:18:in `call'

  activesupport (4.2.5) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

  actionpack (4.2.5) lib/action_dispatch/middleware/static.rb:116:in `call'

  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'

  railties (4.2.5) lib/rails/engine.rb:518:in `call'

  railties (4.2.5) lib/rails/application.rb:165:in `call'

  railties (4.2.5) lib/rails/railtie.rb:194:in `public_send'

  railties (4.2.5) lib/rails/railtie.rb:194:in `method_missing'

  passenger (5.0.24) src/ruby_supportlib/phusion_passenger/rack/thread_handler_extension.rb:97:in 

`process_request'

  passenger (5.0.24) src/ruby_supportlib/phusion_passenger/request_handler/thread_handler.rb:152:i

n `accept_and_process_next_request'

  passenger (5.0.24) src/ruby_supportlib/phusion_passenger/request_handler/thread_handler.rb:113:i

n `main_loop'

  passenger (5.0.24) src/ruby_supportlib/phusion_passenger/request_handler.rb:416:in `block (3 lev

els) in start_threads'

  passenger (5.0.24) src/ruby_supportlib/phusion_passenger/utils.rb:113:in `block in create_thread

_and_abort_on_exception'

 Redmine Information

Environment:

  Redmine version                3.1.3.stable

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2
SCM:

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.3.13

  scrum                          0.13.1

History

#1 - 2016-02-18 03:40 - Franco Po

- Status changed from New to Resolved

Get it fixed after manually dropped obsolete columns in issues table. Those column were created by a plugin removed before.

#2 - 2016-02-18 03:41 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. I am closing this issue.

Powered by TCPDF (www.tcpdf.org)

2024-04-17 2/2

http://www.tcpdf.org

